summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorjamie <jamie@FreeBSD.org>2016-07-17 14:16:21 +0000
committerjamie <jamie@FreeBSD.org>2016-07-17 14:16:21 +0000
commit1cb00f2b256f6f6581a8aad470c8b1b9e6f560f4 (patch)
treea6d765896ce0df11e631281303fc0faf7ce29a89
parent20a9e2385387eac2880c92072cc3507c169a0f59 (diff)
downloadFreeBSD-src-1cb00f2b256f6f6581a8aad470c8b1b9e6f560f4.zip
FreeBSD-src-1cb00f2b256f6f6581a8aad470c8b1b9e6f560f4.tar.gz
MFC r302857:
Start jails non-parallel if jail_parallel_start is NO. This was true for an explicitly specified jail list; now it's also true for all jails. PR: 209112
-rwxr-xr-xetc/rc.d/jail9
1 files changed, 6 insertions, 3 deletions
diff --git a/etc/rc.d/jail b/etc/rc.d/jail
index 6e016f8..cd1171c 100755
--- a/etc/rc.d/jail
+++ b/etc/rc.d/jail
@@ -433,6 +433,9 @@ jail_start()
command=$jail_program
rc_flags=$jail_flags
command_args="-f $jail_conf -c"
+ if ! checkyesno jail_parallel_start; then
+ command_args="$command_args -p1"
+ fi
_tmp=`mktemp -t jail` || exit 3
if $command $rc_flags $command_args >> $_tmp 2>&1; then
$jail_jls jid name | while read _id _name; do
@@ -440,7 +443,7 @@ jail_start()
echo $_id > /var/run/jail_${_name}.id
done
else
- tail -1 $_tmp
+ cat $_tmp
fi
rm -f $_tmp
echo '.'
@@ -527,7 +530,7 @@ jail_stop()
_tmp=`mktemp -t jail` || exit 3
$command $rc_flags $command_args $_j >> $_tmp 2>&1
if $jail_jls -j $_j > /dev/null 2>&1; then
- tail -1 $_tmp
+ cat $_tmp
else
rm -f /var/run/jail_${_j}.id
fi
@@ -550,7 +553,7 @@ jail_stop()
_tmp=`mktemp -t jail` || exit 3
$command -q -f $_conf -r $_j >> $_tmp 2>&1
if $jail_jls -j $_j > /dev/null 2>&1; then
- tail -1 $_tmp
+ cat $_tmp
else
rm -f /var/run/jail_${_j}.id
fi
OpenPOWER on IntegriCloud